# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5
inherit cmake-utils

DESCRIPTION="The easy asynchronous logger"
HOMEPAGE="https://github.com/crapp/ealogger"
SRC_URI="https://github.com/crapp/${PN}/archive/v${PV}.tar.gz -> ${PN}-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND=""
DEPEND="${RDEPEND}"

src_prepare() {
	sed -e 's!lib)!${CMAKE_INSTALL_LIBDIR})!' -i src/CMakeLists.txt

	cmake-utils_src_prepare
}

src_configure() {
#		"-DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d"
	local mycmakeargs=(
		"-DLIB_INSTALL_DIR=$(get_libdir)" )

	cmake-utils_src_configure
}
