# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit flag-o-matic eutils git-2

DESCRIPTION="Standard tux3 filesystem utilities"
HOMEPAGE="http://tux3.org/"
EGIT_REPO_URI="git://github.com/OGAWAHirofumi/tux3.git"
EGIT_BRANCH="temp-atomic-commit"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"

RDEPEND="sys-fs/fuse"
DEPEND=""

src_compile() {
	cd user
	emake CC="$(tc-getCC)" UCLFAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die "build failed"
	if use test; then
		emake CC="$(tc-getCC)" UCLFAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" testbin || die "build failed"
	fi
}

src_install() {
	cd user
	emake DISTDIR="${D}" PREFIX="/usr" install-bin || die "install failed"
	if use test; then
		use test && emake DISTDIR="${D}" PREFIX="/usr" install-test || die "install failed"
	fi
}